commit:     f22a8107e9fab131ce3bc4bdaff7f2886312595b
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 30 23:12:28 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Dec 30 23:12:28 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f22a8107

media-sound/pamix: Upstream now uses cmake instead of autotools.

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 media-sound/pamix/pamix-9999.ebuild | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/media-sound/pamix/pamix-9999.ebuild 
b/media-sound/pamix/pamix-9999.ebuild
index 05816380caa..acdf22771d0 100644
--- a/media-sound/pamix/pamix-9999.ebuild
+++ b/media-sound/pamix/pamix-9999.ebuild
@@ -5,7 +5,7 @@ EAPI=6
 
 SCM=""
 [[ "${PV}" == 9999 ]] && SCM="git-r3"
-inherit autotools ${SCM}
+inherit cmake-utils ${SCM}
 unset SCM
 
 DESCRIPTION="A PulseAudio NCurses mixer"
@@ -30,9 +30,15 @@ DEPEND="sys-devel/autoconf-archive
 
 src_prepare() {
        default
-       eautoreconf
+
+       # ugly hackaround for split tinfo ncurses libs
+       sed '/link_libraries.*ncurses/s@\(")\)@" "tinfo\1@' \
+               -i CMakeLists.txt || die
 }
 
 src_configure() {
-       econf $(use_enable unicode)
+       local mycmakeargs=(
+               -DWITH_UNICODE="$(usex unicode)"
+       )
+       cmake-utils_src_configure
 }

Reply via email to